Subject: bug#10569: libtool-2.4.2 4 of 102 tests failed

From: Bob Friesenhahn <[email-masked]>
Date: Sat, 21 Jan 2012 09:02:29 -0600 (CST)

Dennis,

Where did the architecture-specific flags (-mcpu=970 -mtune=970 
-maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64 -mfull-toc 
-malign-power -mupdate -mcall-linux -msvr4-struct-return) come from? 
Do you have a config.site (e.g. /usr/local/share/config.site) file? 
The tests appear to be failing because the 64-bit standard C++ library 
needed satisfy the requirements of the non-default 
architecture-specific flags (e.g. -m64) was not found.  If these 
CFLAGS are (somehow) provided, then it may be necessary to pass extra 
LDFLAGS so that the linker knows where to find a compatible library 
(if it even exists).

Bob

On Fri, 20 Jan 2012, Dennis Clarke wrote:

>
> .
> .
> .
> PASS: tests/tagdemo-static.test
> FAIL: tests/tagdemo-static-make.test
> SKIP: tests/tagdemo-static-exec.test
> PASS: tests/tagdemo-conf.test
> FAIL: tests/tagdemo-make.test
> SKIP: tests/tagdemo-exec.test
> PASS: tests/tagdemo-shared.test
> FAIL: tests/tagdemo-shared-make.test
> SKIP: tests/tagdemo-shared-exec.test
> PASS: tests/tagdemo-undef.test
> FAIL: tests/tagdemo-undef-make.test
> SKIP: tests/tagdemo-undef-exec.test
> PASS: tests/demo-shared.test
> .
> .
> .
>
> ====================================
> 4 of 102 tests failed
> (4 tests were not run)
> See ./test-suite.log
> Please report to [email-masked]
> ====================================
>
>
> dclarke@charon:~/build/libtool-2.4.2-001$ cat test-suite.log
> =========================================
>   GNU Libtool 2.4.2: ./test-suite.log
> =========================================
>
> 4 of 102 tests failed.  (4 tests were not run).
>
> .. contents:: :depth: 2
>
>
> FAIL: tests/tagdemo-static-make.test (exit: 2)
> ==============================================
>
> tagdemo-static-make.test: ===  Running tagdemo-static-make.test
> tagdemo-static-make.test: ===  Running tagdemo-static-make.test
> tagdemo-static-make.test: ===  Running `gmake ' in tagdemo
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o foo.lo foo.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c foo.cpp -o foo.o
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o conv.lo conv.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c conv.cpp -o conv.o
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libconv.la  conv.lo  -ldl
> libtool: link: ar cru .libs/libconv.a  conv.o
> libtool: link: ranlib .libs/libconv.a
> libtool: link: ( cd ".libs" && rm -f "libconv.la" && ln -s "../libconv.la"
> "libconv.la" )
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libfoo.la -rpath
> /home/dclarke/build/libtool-2.4.2-001/_inst-tagdemo/lib foo.lo libconv.la
> -ldl
> libtool: link: (cd .libs/libfoo.lax/libconv.a && ar x
> "/home/dclarke/build/libtool-2.4.2-001/tests/tagdemo/./.libs/libconv.a")
> libtool: link: ar cru .libs/libfoo.a  foo.o  .libs/libfoo.lax/libconv.a/conv.o
> libtool: link: ranlib .libs/libfoo.a
> libtool: link: rm -fr .libs/libfoo.lax
> libtool: link: ( cd ".libs" && rm -f "libfoo.la" && ln -s "../libfoo.la"
> "libfoo.la" )
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o baz.lo baz.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c baz.cpp -o baz.o
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libbaz.la -rpath
> /home/dclarke/build/libtool-2.4.2-001/_inst-tagdemo/lib baz.lo libfoo.la -ldl
> libtool: link: ar cru .libs/libbaz.a  baz.o
> libtool: link: ranlib .libs/libbaz.a
> libtool: link: ( cd ".libs" && rm -f "libbaz.la" && ln -s "../libbaz.la"
> "libbaz.la" )
> g++ -DPACKAGE_NAME=\"tagdemo\" -DPACKAGE_TARNAME=\"tagdemo\"
> -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"tagdemo\ 1.0\"
> -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\"
> -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1 -DHAVE_IOSTREAM=1
> -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1
> -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1
> -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I.  -I./../..
> -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g -mcpu=970
> -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64 -mfull-toc
> -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread -c -o main.o
> main.cpp
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread   -o tagdemo main.o libbaz.la libfoo.la -ldl
> libtool: link: g++ -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave
> -m64 -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -o tagdemo main.o  -L/usr/local/lib
> ./.libs/libbaz.a
> /home/dclarke/build/libtool-2.4.2-001/tests/tagdemo/.libs/libfoo.a
> ./.libs/libfoo.a -ldl -pthread -Wl,-rpath -Wl,/usr/local/lib
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: cannot find -lstdc++
> collect2: ld returned 1 exit status
> gmake: *** [tagdemo] Error 1
>
> SKIP: tests/tagdemo-static-exec.test (exit: 77)
> ===============================================
>
> tagdemo-static-exec.test: ===  Running tagdemo-static-exec.test
> tagdemo-static-exec.test: ===  Running tagdemo-static-exec.test
> tagdemo-static-exec.test: You must run tagdemo-make.test before running
> ./tests/tagdemo-static-exec.test
>
> FAIL: tests/tagdemo-make.test (exit: 2)
> =======================================
>
> tagdemo-make.test: ===  Running tagdemo-make.test
> tagdemo-make.test: ===  Running `gmake ' in tagdemo
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o foo.lo foo.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c foo.cpp  -fPIC -DPIC -o .libs/foo.o
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c foo.cpp -o foo.o >/dev/null 2>&1
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o conv.lo conv.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c conv.cpp  -fPIC -DPIC -o .libs/conv.o
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c conv.cpp -o conv.o >/dev/null 2>&1
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libconv.la  conv.lo  -ldl
> libtool: link: ar cru .libs/libconv.a .libs/conv.o
> libtool: link: ranlib .libs/libconv.a
> libtool: link: ( cd ".libs" && rm -f "libconv.la" && ln -s "../libconv.la"
> "libconv.la" )
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libfoo.la -rpath
> /home/dclarke/build/libtool-2.4.2-001/_inst-tagdemo/lib foo.lo libconv.la
> -ldl
> libtool: link: g++  -fPIC -DPIC -shared -nostdlib
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64/crti.o
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/64/crtbeginS.o  .libs/foo.o
> -Wl,--whole-archive ./.libs/libconv.a -Wl,--no-whole-archive  -Wl,-rpath
> -Wl,/usr/local/lib -L/usr/local/lib -ldl
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/64
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64 -L/lib/../lib64
> -L/usr/lib/../lib64 -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../.. -lstdc++ -lm -lpthread -lc
> -lgcc_s /usr/lib/gcc/powerpc-linux-gnu/4.4.5/64/crtendS.o
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64/crtn.o  -mcpu=970
> -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64 -mfull-toc
> -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread   -pthread
> -Wl,-soname -Wl,libfoo.so.0 -o .libs/libfoo.so.0.0.0
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: cannot find -lstdc++
> collect2: ld returned 1 exit status
> gmake: *** [libfoo.la] Error 1
>
> SKIP: tests/tagdemo-exec.test (exit: 77)
> ========================================
>
> tagdemo-exec.test: ===  Running tagdemo-exec.test
> tagdemo-exec.test: You must run tagdemo-make.test before running
> ./tests/tagdemo-exec.test
>
> FAIL: tests/tagdemo-shared-make.test (exit: 2)
> ==============================================
>
> tagdemo-shared-make.test: ===  Running tagdemo-shared-make.test
> tagdemo-shared-make.test: ===  Running tagdemo-shared-make.test
> tagdemo-shared-make.test: ===  Running `gmake ' in tagdemo
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o foo.lo foo.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c foo.cpp  -fPIC -DPIC -o .libs/foo.o
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o conv.lo conv.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c conv.cpp  -fPIC -DPIC -o .libs/conv.o
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libconv.la  conv.lo  -ldl
> libtool: link: ar cru .libs/libconv.a .libs/conv.o
> libtool: link: ranlib .libs/libconv.a
> libtool: link: ( cd ".libs" && rm -f "libconv.la" && ln -s "../libconv.la"
> "libconv.la" )
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libfoo.la -rpath
> /home/dclarke/build/libtool-2.4.2-001/_inst-tagdemo/lib foo.lo libconv.la
> -ldl
> libtool: link: g++  -fPIC -DPIC -shared -nostdlib
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64/crti.o
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/64/crtbeginS.o  .libs/foo.o
> -Wl,--whole-archive ./.libs/libconv.a -Wl,--no-whole-archive  -Wl,-rpath
> -Wl,/usr/local/lib -L/usr/local/lib -ldl
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/64
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64 -L/lib/../lib64
> -L/usr/lib/../lib64 -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../.. -lstdc++ -lm -lpthread -lc
> -lgcc_s /usr/lib/gcc/powerpc-linux-gnu/4.4.5/64/crtendS.o
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64/crtn.o  -mcpu=970
> -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64 -mfull-toc
> -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread   -pthread
> -Wl,-soname -Wl,libfoo.so.0 -o .libs/libfoo.so.0.0.0
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: cannot find -lstdc++
> collect2: ld returned 1 exit status
> gmake: *** [libfoo.la] Error 1
>
> SKIP: tests/tagdemo-shared-exec.test (exit: 77)
> ===============================================
>
> tagdemo-shared-exec.test: ===  Running tagdemo-shared-exec.test
> tagdemo-shared-exec.test: ===  Running tagdemo-shared-exec.test
> tagdemo-shared-exec.test: You must run tagdemo-make.test before running
> ./tests/tagdemo-shared-exec.test
>
> FAIL: tests/tagdemo-undef-make.test (exit: 2)
> =============================================
>
> tagdemo-undef-make.test: ===  Running tagdemo-undef-make.test
> tagdemo-undef-make.test: ===  Running tagdemo-undef-make.test
> tagdemo-undef-make.test: ===  Running `gmake ' in tagdemo
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o foo.lo foo.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c foo.cpp  -fPIC -DPIC -o .libs/foo.o
> /bin/bash ./libtool --tag=CXX   --mode=compile g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I.  -I./../.. -I/usr/local/include  -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c -o conv.lo conv.cpp
> libtool: compile:  g++ -DPACKAGE_NAME=\"tagdemo\"
> -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\"
> "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\"
> -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DHAVE_NAMESPACES=1
> -DHAVE_IOSTREAM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
> -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
> -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
> -I. -I./../.. -I/usr/local/include -R/usr/local/lib -L/usr/local/lib -g
> -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64
> -mfull-toc -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread
> -c conv.cpp  -fPIC -DPIC -o .libs/conv.o
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libconv.la  conv.lo  -ldl
> libtool: link: ar cru .libs/libconv.a .libs/conv.o
> libtool: link: ranlib .libs/libconv.a
> libtool: link: ( cd ".libs" && rm -f "libconv.la" && ln -s "../libconv.la"
> "libconv.la" )
> /bin/bash ./libtool --tag=CXX   --mode=link g++  -R/usr/local/lib
> -L/usr/local/lib -g -mcpu=970 -mtune=970 -maltivec -mabi=altivec -mvrsave -m64
> -mpowerpc64 -mfull-toc -malign-power -mupdate -mcall-linux
> -msvr4-struct-return -pthread -no-undefined  -o libfoo.la -rpath
> /home/dclarke/build/libtool-2.4.2-001/_inst-tagdemo/lib foo.lo libconv.la
> -ldl
> libtool: link: g++  -fPIC -DPIC -shared -nostdlib
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64/crti.o
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/64/crtbeginS.o  .libs/foo.o
> -Wl,--whole-archive ./.libs/libconv.a -Wl,--no-whole-archive  -Wl,-rpath
> -Wl,/usr/local/lib -L/usr/local/lib -ldl
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/64
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64 -L/lib/../lib64
> -L/usr/lib/../lib64 -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5
> -L/usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../.. -lstdc++ -lm -lpthread -lc
> -lgcc_s /usr/lib/gcc/powerpc-linux-gnu/4.4.5/64/crtendS.o
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/../../../../lib64/crtn.o  -mcpu=970
> -mtune=970 -maltivec -mabi=altivec -mvrsave -m64 -mpowerpc64 -mfull-toc
> -malign-power -mupdate -mcall-linux -msvr4-struct-return -pthread   -pthread
> -Wl,-soname -Wl,libfoo.so.0 -o .libs/libfoo.so.0.0.0
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.so when searching for -lstdc++
> /usr/bin/ld: skipping incompatible
> /usr/lib/gcc/powerpc-linux-gnu/4.4.5/libstdc++.a when searching for -lstdc++
> /usr/bin/ld: cannot find -lstdc++
> collect2: ld returned 1 exit status
> gmake: *** [libfoo.la] Error 1
>
> SKIP: tests/tagdemo-undef-exec.test (exit: 77)
> ==============================================
>
> tagdemo-undef-exec.test: ===  Running tagdemo-undef-exec.test
> tagdemo-undef-exec.test: ===  Running tagdemo-undef-exec.test
> tagdemo-undef-exec.test: You must run tagdemo-make.test before running
> ./tests/tagdemo-undef-exec.test
> dclarke@charon:~/build/libtool-2.4.2-001$
>
>
>
>

-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/